Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.gazetteer
Class AbstractGazetteerListener

    java.lang.Object
      org.deegree.enterprise.control.ajax.AbstractListener
          org.deegree.portal.standard.gazetteer.AbstractGazetteerListener

Direct Known Subclasses:
  FreeSearchListener, LoadBBOXListener, LoadHierarchyListener, LoadHierarchyListListener, LoadItemsListListener

    abstract class AbstractGazetteerListener

extends AbstractListener

TODO add class documentation here

Version:
  $Revision: 21565 $, $Date: 2009-12-21 15:02:38 +0100 (Mo, 21. Dez 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`timeout`

Constructor Summary
`AbstractGazetteerListener()`

Method Summary
`protected List<Hierarchy>` | `loadHierarchiesDefinitions(ParameterList initParams)` load gazetteer featuretype/locationtype hierarchy definitions
`protected Hierarchy` | `loadHierarchy(String value)`

Methods inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`actionPerformed, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGazetteerListener

    AbstractGazetteerListener()

Method Detail

### loadHierarchiesDefinitions

    protected List<Hierarchy> loadHierarchiesDefinitions(ParameterList initParams)
                                                  throws Exception

  load gazetteer featuretype/locationtype hierarchy definitions

  Parameters:
    `initParams` -
  Throws:
    `Exception`

### loadHierarchy

    protected Hierarchy loadHierarchy(String value)
                               throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org